! **********************************************************************************************
! KSpng class
! **********************************************************************************************
KS_AppResources    QUEUE,TYPE
ResourceName          CSTRING(256)
                    END

KSpng  CLASS,Type,MODULE('KSpng.clw'),LINK('KSpng.clw',_KSpngLinkMode_),DLL(_KSpngDllMode_)
!!!!! Properties
EngineLoaded                LONG
hPictureBox                 LONG
UseResource                 LONG
GDI                         &LoadLibClass,PRIVATE
UsedResources               &KS_AppResources
ResourcesDllName            STRING(128)
!!!!! Methods
Construct                   PROCEDURE()
Destruct                    PROCEDURE()
CaptureDesktopToBmp         PROCEDURE(STRING BMPFileName),VIRTUAL
CaptureDesktopToClipboard   PROCEDURE(),VIRTUAL
CaptureClientToBmp          PROCEDURE(STRING BMPFileName),VIRTUAL
CaptureClientRectToBmp      PROCEDURE(STRING BMPFileName, LONG X, LONG Y, LONG Width, LONG Height),VIRTUAL
CaptureWindowToBmp          PROCEDURE(STRING BMPFileName),VIRTUAL
ConvertImage                PROCEDURE(STRING LoadFlName, STRING SaveFlName),LONG,VIRTUAL,PROC
ConvertToGrayscaleImage     PROCEDURE(STRING LoadFlName, STRING SaveFlName),LONG,VIRTUAL,PROC
CopyToClipBoard             PROCEDURE(STRING LoadFlName),LONG,VIRTUAL,PROC
CreatePictureBox            PROCEDURE(Window W, SHORT ControlFeq, LONG UseClientArea = FALSE),LONG,VIRTUAL,PROC
DisplayImage                PROCEDURE(Window W, STRING LoadFlName, SHORT ControlFeq, LONG UseClientArea = FALSE, LONG MainFrame = FALSE),LONG,VIRTUAL,PROC
DisplayImage                PROCEDURE(Window W, *BLOB ImageBlob, SHORT ControlFeq, LONG UseClientArea = FALSE, LONG MainFrame = FALSE),LONG,VIRTUAL,PROC
DisplayImageAsBackground    PROCEDURE(Window W, STRING LoadFlName, LONG MainFrame = FALSE),LONG,VIRTUAL,PROC
DrawImage                   PROCEDURE(Window W, STRING LoadFlName, SHORT ControlFeq, LONG UseClientArea = FALSE, LONG MainFrame = FALSE, LONG pAngle=0),LONG,VIRTUAL,PROC
DrawImage                   PROCEDURE(Window W, *BLOB ImageBlob, SHORT ControlFeq, LONG UseClientArea = FALSE, LONG MainFrame = FALSE, LONG pAngle=0),LONG,VIRTUAL,PROC
GetEncoderClsid             PROCEDURE(STRING sMimeType, *GUID pGUID),VIRTUAL
GetFunctionPointers         PROCEDURE(),LONG,VIRTUAL
ImageHandleFromResource     PROCEDURE(STRING ResourceName, <STRING ResourceDllName>),LONG,VIRTUAL
LoadImage                   PROCEDURE(Window W, STRING LoadFlName, SHORT ControlFeq),LONG,VIRTUAL,PROC
LoadImage                   PROCEDURE(Window W, *BLOB ImageBlob, SHORT ControlFeq),LONG,VIRTUAL,PROC
LoadImage                   PROCEDURE(Report R, STRING LoadFlName, SHORT ControlFeq),LONG,VIRTUAL,PROC
LoadImageFromClipboard      PROCEDURE(Window W, SHORT ControlFeq),LONG,VIRTUAL,PROC
ResizeImage                 PROCEDURE(),VIRTUAL
SaveResourceToFile          PROCEDURE(STRING ResourceName, STRING SaveFlName, <STRING ResourceDllName>),LONG,VIRTUAL
            END

